# Command: Windowed3D

Windowed3D

Parameters:

n/a

Description:

Windowed3D () returns True if a graphics card is capable of rendering 3D graphics modes in a window on the desktop. Certain graphics cards will only allow specific 3D colour depths (eg. Voodoo3 supports only 16-bit 3D modes and Matrox only supports 16 and 32-bit 3D modes but allows 24-bit 2D modes to be set). If the user's desktop is set to a depth unsupported in 3D, Windowed3D will return False.

Example:

If Windowed3D () Graphics3D 640, 480, 0, 2 Print "Windowed mode!" Else Graphics3D 640, 480, 0, 1 Print "Full screen modes only!" EndIf MouseWait End